OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_SurfaceStyleParameterLine Class Reference

`#include <StepVisual_SurfaceStyleParameterLine.hxx>`

## Public Member Functions
Standard_EXPORT | StepVisual_SurfaceStyleParameterLine ()
| Returns a SurfaceStyleParameterLine .
virtual Standard_EXPORT void | Init (const Handle(StepVisual_CurveStyle)&aStyleOfParameterLines, const Handle(StepVisual_HArray1OfDirectionCountSelect)&aDirectionCounts)
Standard_EXPORT void | SetStyleOfParameterLines (const Handle(StepVisual_CurveStyle)&aStyleOfParameterLines)
Standard_EXPORT Handle_StepVisual_CurveStyle | StyleOfParameterLines () const
Standard_EXPORT void | SetDirectionCounts (const Handle(StepVisual_HArray1OfDirectionCountSelect)&aDirectionCounts)
Standard_EXPORT Handle_StepVisual_HArray1OfDirectionCountSelect | DirectionCounts () const
Standard_EXPORT StepVisual_DirectionCountSelect | DirectionCountsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbDirectionCounts () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepVisual_CurveStyle | styleOfParameterLines
Handle_StepVisual_HArray1OfDirectionCountSelect | directionCounts

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_SurfaceStyleParameterLine::StepVisual_SurfaceStyleParameterLine | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepVisual_HArray1OfDirectionCountSelect StepVisual_SurfaceStyleParameterLine::DirectionCounts | ( |  | ) | const

Standard_EXPORT StepVisual_DirectionCountSelect StepVisual_SurfaceStyleParameterLine::DirectionCountsValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT const StepVisual_SurfaceStyleParameterLine::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepVisual_SurfaceStyleParameterLine::Init | ( | const Handle(StepVisual_CurveStyle)& | aStyleOfParameterLines,
|  | const Handle(StepVisual_HArray1OfDirectionCountSelect)& | aDirectionCounts
| ) | `[virtual]`

Standard_EXPORT Standard_Integer StepVisual_SurfaceStyleParameterLine::NbDirectionCounts | ( |  | ) | const

Standard_EXPORT void StepVisual_SurfaceStyleParameterLine::SetDirectionCounts | ( | const Handle(StepVisual_HArray1OfDirectionCountSelect)& | aDirectionCounts | ) |

Standard_EXPORT void StepVisual_SurfaceStyleParameterLine::SetStyleOfParameterLines | ( | const Handle(StepVisual_CurveStyle)& | aStyleOfParameterLines | ) |

Standard_EXPORT Handle_StepVisual_CurveStyle StepVisual_SurfaceStyleParameterLine::StyleOfParameterLines | ( |  | ) | const

## Field Documentation

Handle_StepVisual_HArray1OfDirectionCountSelect StepVisual_SurfaceStyleParameterLine::directionCounts`[private]`

Handle_StepVisual_CurveStyle StepVisual_SurfaceStyleParameterLine::styleOfParameterLines`[private]`

The documentation for this class was generated from the following file:

- StepVisual_SurfaceStyleParameterLine.hxx